> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.truecold.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update zone



## OpenAPI

````yaml put /zone/{id}
openapi: 3.0.0
info:
  title: TrueCold API
  version: 1.0.0
  description: API documentation for TrueCold application
servers:
  - url: https://api.truecold.io
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: Carriers
    description: Carrier management operations
  - name: Shipments
    description: Shipment tracking and management
  - name: Deliveries
    description: Delivery management operations
  - name: Locations
    description: Location management
  - name: Handling Units
    description: Handling unit operations
  - name: Alerts
    description: Alert system management
  - name: Sensors
    description: Sensor management and monitoring
paths:
  /zone/{id}:
    put:
      tags:
        - Zones
      summary: Update zone
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: Zone ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ZoneInput'
      responses:
        '200':
          description: Successfully updated zone
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Zone'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Zone not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKeyAuth: []
components:
  schemas:
    ZoneInput:
      type: object
      description: Zone input data for creation/update
      properties:
        code:
          type: string
          description: Zone code
        site_id:
          type: string
          description: Related site ID
      required:
        - code
        - site_id
    Zone:
      type: object
      description: Zone entity (API response)
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
        code:
          type: string
          description: code code
        account_id:
          type: string
          format: uuid
          description: Account ID
        site_id:
          type: string
          format: uuid
          description: Site ID
        soft_deleted:
          type: string
          format: date-time
          description: Soft deletion timestamp
        soft_deleted_by:
          type: string
          description: User who soft deleted the record
    Error:
      type: object
      properties:
        message:
          type: string
          description: Error message
          example: An error occurred
        code:
          type: string
          description: Error code
          example: ERROR_CODE
        details:
          type: object
          description: Additional error details (optional)
      required:
        - message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key for authentication. Contact your administrator to get an API
        key.

````